Bug 1768141

Summary: BZFlag should be compiled with SDL2
Product: [Fedora] Fedora Reporter: Frank Samuelson <frank>
Component: bzflagAssignee: Jeff Makey <jeff>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: low Docs Contact:
Priority: unspecified    
Version: 31CC: gwync, jeff, rhbugs
Target Milestone: ---   
Target Release: ---   
Hardware: x86_64   
OS: Linux   
Whiteboard:
Fixed In Version: bzflag-2.4.18-6.fc30 bzflag-2.4.18-6.fc31 Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2019-11-12 02:08:39 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Frank Samuelson 2019-11-02 22:13:38 UTC
Description of problem:
The keyboard in BZFlag does not respond completely properly.  This is because the Fedora release of bzflag is compiled with SDL1 rather than SDL2.  
See https://forums.bzflag.org/viewtopic.php?f=2&t=20017#p177725
This happens in bzflag from Fedora 31, and probably 30 and rawhide too.  Obviously this is a very important bug.   ;)

Version-Release number of selected component (if applicable):
2.4.18

How reproducible:
I reproduced this effect on two different computers.  Others have had the same problem.  See link above.

Steps to Reproduce:
1.  install bzflag from repo
2.  join a server
3.  press the up arrow to move tank forward.  The tank moves but eventually stops

Actual results:
Tank stops moving.

Expected results:
Tank should continue moving forward while button is depressed.

Additional info:
This problem appears to be easily fixable by modifying the .spec file to use SDL2 according to this diff:

22c22
< BuildRequires: SDL-devel
---
> BuildRequires: SDL2-devel
58c58
< %configure --libdir=%{_libdir}/%{name} --with-SDL=1
---
> %configure --libdir=%{_libdir}/%{name} --with-SDL=2

Comment 1 Fedora Update System 2019-11-03 19:56:03 UTC
FEDORA-2019-7aeabe7572 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-7aeabe7572

Comment 2 Fedora Update System 2019-11-04 02:10:40 UTC
bzflag-2.4.18-6.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-7aeabe7572

Comment 3 Fedora Update System 2019-11-04 02:18:55 UTC
bzflag-2.4.18-6.fc31 has been pushed to the Fedora 31 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-68e2bf771f

Comment 4 Fedora Update System 2019-11-12 02:08:39 UTC
bzflag-2.4.18-6.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.

Comment 5 Fedora Update System 2019-11-12 02:21:05 UTC
bzflag-2.4.18-6.fc31 has been pushed to the Fedora 31 stable repository. If problems still persist, please make note of it in this bug report.